import { OnInit } from '@angular/core';
import { TableHeaderController } from '@lightweightform/core';
import { TableColumnIndexDirective } from './table-column-index.directive';
import { TableColumnDirective } from './table-column.directive';
export declare class TableHeaderComponent extends TableHeaderController implements OnInit {
    private hostElement;
    private parentTable;
    bsClass: string;
    private indexColumn;
    private _childrenColumns;
    constructor(hostElement: any, parentTable: any);
    ngOnInit(): void;
    readonly childrenColumns: Array<TableColumnIndexDirective | TableColumnDirective>;
    isIndexColumn(column: any): boolean;
    private setHeaderHeight();
}
